Package be.fgov.ehealth.mediprima.uma.core.v1

# Class CriteriaType

java.lang.Object
be.fgov.ehealth.mediprima.uma.core.v1.CriteriaType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:35+02:00", comments="JAXB RI v4.0.5") public class CriteriaType extends Object implements Serializable
Search criteria

Java class for CriteriaType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CriteriaType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BeneficiarySsin" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <choice>
               <element name="AttestationNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <sequence>
                 <element name="Period" type="{urn:be:fgov:ehealth:mediprima:uma:core:v1}PeriodType"/>
                 <element name="MedicalCover" type="{urn:be:fgov:ehealth:mediprima:uma:core:v1}MedicalCoverType" minOccurs="0"/>
               </sequence>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CriteriaType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttestationNumber()`
  Gets the value of the attestationNumber property.
  `String`
  `getBeneficiarySsin()`
  SSIN of the beneficiary
  `String`
  `getMedicalCover()`
  Gets the value of the medicalCover property.
  `PeriodType`
  `getPeriod()`
  Period used to retrieve attestation(s)
  `void`
  `setAttestationNumber(String value)`
  Sets the value of the attestationNumber property.
  `void`
  `setBeneficiarySsin(String value)`
  Sets the value of the beneficiarySsin property.
  `void`
  `setMedicalCover(String value)`
  Sets the value of the medicalCover property.
  `void`
  `setPeriod(PeriodType value)`
  Sets the value of the period property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CriteriaType

    public CriteriaType()

- ## Method Details

  - ### getBeneficiarySsin

    public String getBeneficiarySsin()
    SSIN of the beneficiary
    Returns:
      possible object is `String`

  - ### setBeneficiarySsin

    public void setBeneficiarySsin(String value)
    Sets the value of the beneficiarySsin property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getBeneficiarySsin()`

  - ### getPeriod

    public PeriodType getPeriod()
    Period used to retrieve attestation(s)
    Returns:
      possible object is `PeriodType`

  - ### setPeriod

    public void setPeriod(PeriodType value)
    Sets the value of the period property.
    Parameters:
      `value` - allowed object is `PeriodType`
    See Also:
      - `getPeriod()`

  - ### getMedicalCover

    public String getMedicalCover()
    Gets the value of the medicalCover property.
    Returns:
      possible object is `String`

  - ### setMedicalCover

    public void setMedicalCover(String value)
    Sets the value of the medicalCover property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAttestationNumber

    public String getAttestationNumber()
    Gets the value of the attestationNumber property.
    Returns:
      possible object is `String`

  - ### setAttestationNumber

    public void setAttestationNumber(String value)
    Sets the value of the attestationNumber property.
    Parameters:
      `value` - allowed object is `String`